<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (13) on Fri May 08 00:07:05 EEST 2020 -->
<title>Uses of Class bussiness.MenuItem</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-08">
<meta name="description" content="use: package: bussiness, class: MenuItem">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-use">
<script type="text/javascript">var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../MenuItem.html" title="class in bussiness">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Uses of Class bussiness.MenuItem" class="title">Uses of Class<br>bussiness.MenuItem</h1>
</div>
<div class="classUseContainer">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../MenuItem.html" title="class in bussiness">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#bussiness">bussiness</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#presentation">presentation</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="classUses">
<ul class="blockList">
<li class="blockList">
<section class="detail"><a id="bussiness">
<!--   -->
</a>
<h2>Uses of <a href="../MenuItem.html" title="class in bussiness">MenuItem</a> in <a href="../package-summary.html">bussiness</a></h2>
<div class="useSummary">
<table>
<caption><span>Subclasses of <a href="../MenuItem.html" title="class in bussiness">MenuItem</a> in <a href="../package-summary.html">bussiness</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../BaseProduct.html" title="class in bussiness">BaseProduct</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../CompositeProduct.html" title="class in bussiness">CompositeProduct</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Fields in <a href="../package-summary.html">bussiness</a> with type parameters of type <a href="../MenuItem.html" title="class in bussiness">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#compositeItem">compositeItem</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CompositeProduct.</span><code><span class="memberNameLink"><a href="../CompositeProduct.html#compositeProduct">compositeProduct</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Map&lt;<a href="../Order.html" title="class in bussiness">Order</a>,&#8203;java.util.Collection&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#mapOrderMenu">mapOrderMenu</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#menu">menu</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">bussiness</a> that return types with arguments of type <a href="../MenuItem.html" title="class in bussiness">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#getCompItem()">getCompItem</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.Map&lt;<a href="../Order.html" title="class in bussiness">Order</a>,&#8203;java.util.Collection&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#getOrderMap()">getOrderMap</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">bussiness</a> with parameters of type <a href="../MenuItem.html" title="class in bussiness">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">IRestaurantProcessing.</span><code><span class="memberNameLink"><a href="../IRestaurantProcessing.html#createNewMenuItem(bussiness.MenuItem)">createNewMenuItem</a></span>&#8203;(<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#createNewMenuItem(bussiness.MenuItem)">createNewMenuItem</a></span>&#8203;(<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">IRestaurantProcessing.</span><code><span class="memberNameLink"><a href="../IRestaurantProcessing.html#deleteMenuItem(bussiness.MenuItem)">deleteMenuItem</a></span>&#8203;(<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#deleteMenuItem(bussiness.MenuItem)">deleteMenuItem</a></span>&#8203;(<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">IRestaurantProcessing.</span><code><span class="memberNameLink"><a href="../IRestaurantProcessing.html#editMenuItem(bussiness.MenuItem)">editMenuItem</a></span>&#8203;(<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#editMenuItem(bussiness.MenuItem)">editMenuItem</a></span>&#8203;(<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Method parameters in <a href="../package-summary.html">bussiness</a> with type arguments of type <a href="../MenuItem.html" title="class in bussiness">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">IRestaurantProcessing.</span><code><span class="memberNameLink"><a href="../IRestaurantProcessing.html#createOrder(bussiness.Order,java.util.ArrayList)">createOrder</a></span>&#8203;(<a href="../Order.html" title="class in bussiness">Order</a>&nbsp;order,
java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#createOrder(bussiness.Order,java.util.ArrayList)">createOrder</a></span>&#8203;(<a href="../Order.html" title="class in bussiness">Order</a>&nbsp;order,
java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#setCompositeItem(java.util.ArrayList)">setCompositeItem</a></span>&#8203;(java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&nbsp;comp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Restaurant.</span><code><span class="memberNameLink"><a href="../Restaurant.html#setMenu(java.util.ArrayList)">setMenu</a></span>&#8203;(java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&nbsp;myMenu)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Constructor parameters in <a href="../package-summary.html">bussiness</a> with type arguments of type <a href="../MenuItem.html" title="class in bussiness">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../CompositeProduct.html#%3Cinit%3E(java.lang.String,java.util.ArrayList)">CompositeProduct</a></span>&#8203;(java.lang.String&nbsp;name,
java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&nbsp;compositeProduct)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section class="detail"><a id="presentation">
<!--   -->
</a>
<h2>Uses of <a href="../MenuItem.html" title="class in bussiness">MenuItem</a> in <a href="../../presentation/package-summary.html">presentation</a></h2>
<div class="useSummary">
<table>
<caption><span>Fields in <a href="../../presentation/package-summary.html">presentation</a> with type parameters of type <a href="../MenuItem.html" title="class in bussiness">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CompositeItemGUI.</span><code><span class="memberNameLink"><a href="../../presentation/CompositeItemGUI.html#compositeItem">compositeItem</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private javax.swing.JComboBox&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">WaiterGUI.</span><code><span class="memberNameLink"><a href="../../presentation/WaiterGUI.html#menu">menu</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private javax.swing.JComboBox&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CompositeItemGUI.</span><code><span class="memberNameLink"><a href="../../presentation/CompositeItemGUI.html#menuBox">menuBox</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">WaiterGUI.</span><code><span class="memberNameLink"><a href="../../presentation/WaiterGUI.html#orderedItems">orderedItems</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../presentation/package-summary.html">presentation</a> that return <a href="../MenuItem.html" title="class in bussiness">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../MenuItem.html" title="class in bussiness">MenuItem</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AdminGUI.</span><code><span class="memberNameLink"><a href="../../presentation/AdminGUI.html#findByName(java.lang.String)">findByName</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../presentation/package-summary.html">presentation</a> that return types with arguments of type <a href="../MenuItem.html" title="class in bussiness">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CompositeItemGUI.</span><code><span class="memberNameLink"><a href="../../presentation/CompositeItemGUI.html#finishItem()">finishItem</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../presentation/package-summary.html">presentation</a> with parameters of type <a href="../MenuItem.html" title="class in bussiness">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AdminGUI.</span><code><span class="memberNameLink"><a href="../../presentation/AdminGUI.html#createNewMenuItem(bussiness.MenuItem)">createNewMenuItem</a></span>&#8203;(<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">WaiterGUI.</span><code><span class="memberNameLink"><a href="../../presentation/WaiterGUI.html#createNewMenuItem(bussiness.MenuItem)">createNewMenuItem</a></span>&#8203;(<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AdminGUI.</span><code><span class="memberNameLink"><a href="../../presentation/AdminGUI.html#deleteMenuItem(bussiness.MenuItem)">deleteMenuItem</a></span>&#8203;(<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">WaiterGUI.</span><code><span class="memberNameLink"><a href="../../presentation/WaiterGUI.html#deleteMenuItem(bussiness.MenuItem)">deleteMenuItem</a></span>&#8203;(<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AdminGUI.</span><code><span class="memberNameLink"><a href="../../presentation/AdminGUI.html#editMenuItem(bussiness.MenuItem)">editMenuItem</a></span>&#8203;(<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">WaiterGUI.</span><code><span class="memberNameLink"><a href="../../presentation/WaiterGUI.html#editMenuItem(bussiness.MenuItem)">editMenuItem</a></span>&#8203;(<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&nbsp;item)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Method parameters in <a href="../../presentation/package-summary.html">presentation</a> with type arguments of type <a href="../MenuItem.html" title="class in bussiness">MenuItem</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AdminGUI.</span><code><span class="memberNameLink"><a href="../../presentation/AdminGUI.html#createOrder(bussiness.Order,java.util.ArrayList)">createOrder</a></span>&#8203;(<a href="../Order.html" title="class in bussiness">Order</a>&nbsp;order,
java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&nbsp;menuItem)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">WaiterGUI.</span><code><span class="memberNameLink"><a href="../../presentation/WaiterGUI.html#createOrder(bussiness.Order,java.util.ArrayList)">createOrder</a></span>&#8203;(<a href="../Order.html" title="class in bussiness">Order</a>&nbsp;order,
java.util.ArrayList&lt;<a href="../MenuItem.html" title="class in bussiness">MenuItem</a>&gt;&nbsp;menuItem)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../MenuItem.html" title="class in bussiness">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
